Package org.codehaus.groovy.runtime.callsite

# Class PlainObjectMetaMethodSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.MetaMethodSite
org.codehaus.groovy.runtime.callsite.PlainObjectMetaMethodSite

All Implemented Interfaces:
  `CallSite`

Direct Known Subclasses:
  `PogoMetaMethodSite`, `PojoMetaMethodSite`

    public abstract class PlainObjectMetaMethodSite
    extends MetaMethodSite

Plain ordinary object call site meta class - cached method - cached

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

  `params`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PlainObjectMetaMethodSite​(CallSite site, MetaClass metaClass, MetaMethod metaMethod, java.lang.Class[] params)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected static java.lang.Object` | `doInvoke​(java.lang.Object receiver, java.lang.Object[] args, java.lang.reflect.Method reflect)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlainObjectMetaMethodSite

    public PlainObjectMetaMethodSite​(CallSite site, MetaClass metaClass, MetaMethod metaMethod, java.lang.Class[] params)

- ## Method Details

  - ### doInvoke

    protected static java.lang.Object doInvoke​(java.lang.Object receiver, java.lang.Object[] args, java.lang.reflect.Method reflect) throws java.lang.Throwable
    Throws:
      `java.lang.Throwable`